Bug 5628 - Excessive warning message re: No Password History
Excessive warning message re: No Password History
Status: RESOLVED FIXED
Product: Samba 3.2
Classification: Unclassified
Component: Domain Control
3.2.0
Other Linux
: P3 normal
: ---
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-23 11:17 UTC by John H Terpstra
Modified: 2008-07-24 02:55 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John H Terpstra 2008-07-23 11:17:31 UTC
Smbd reports a needless warning message for all accounts that do not have a 
password history (many accounts are new and do not have one!) - this is 
flooding the log files at loglevel 1.  

Should we up the value of the loglevel at which this warning is published?

[2008/07/22 16:46:46,  0] passdb/pdb_ldap.c:init_sam_from_ldap(950)
  init_sam_from_ldap: Failed to get password history for user rdumbell

Note: Accounts that have a password history do not generate this warning.

Proposed patch:
--- pdb_ldap.c  2008-07-23 11:15:48.000000000 -0500
+++ pdb_ldap.c.orig     2008-07-23 11:15:30.000000000 -0500
@@ -946,7 +946,7 @@
                                }
                        }
                        if (hex_failed) {
-                               DEBUG(2,("init_sam_from_ldap: Failed to get password history for user %s\n",
+                               DEBUG(0,("init_sam_from_ldap: Failed to get password history for user %s\n",
                                        username));
                                memset(pwhist, '\0', pwHistLen * PW_HISTORY_ENTRY_LEN);
                        }
Comment 1 Karolin Seeger 2008-07-24 02:55:36 UTC
Pushed to all three branches (9b863a10), will be in 3.2.1.
Closing out bug report.

Thanks for the patch!